Cassandra.Processor.describe_ring (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra.Processor.describe_ring<I extends Cassandra.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,Cassandra.describe_ring_args>
  - - org.apache.cassandra.thrift.Cassandra.Processor.describe_ring<I>

- Enclosing class:
    Cassandra.Processor<I extends Cassandra.Iface>

      public static class Cassandra.Processor.describe_ring<I extends Cassandra.Iface>
      extends org.apache.thrift.ProcessFunction<I,Cassandra.describe_ring_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `describe_ring()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.describe_ring_args` | `getEmptyArgsInstance()`
    `Cassandra.describe_ring_result` | `getResult(I iface, Cassandra.describe_ring_args args)`
    `protected boolean` | `isOneway()`

    - ### Methods inherited from class org.apache.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### describe_ring

          public describe_ring()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.describe_ring_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.describe_ring_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.describe_ring_args>`

    - #### getResult

          public Cassandra.describe_ring_result getResult(I iface,
                                                          Cassandra.describe_ring_args args)
                                                   throws org.apache.thrift.TException

      Specified by:
        `getResult` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.describe_ring_args>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation